/*
 * 16F88_Ref3_Switch
 * gOXCb`eXgpvO
 * 
 * File:   main.c
 * Author: Taichi
 *
 * Created on 2017/02/22, 11:28
 */

// CONFIG1
#pragma config FOSC = INTOSCIO  // Oscillator Selection bits (INTRC oscillator; port I/O function on both RA6/OSC2/CLKO pin and RA7/OSC1/CLKI pin)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled)
#pragma config PWRTE = OFF      // Power-up Timer Enable bit (PWRT disabled)
#pragma config MCLRE = ON       // RA5/MCLR/VPP Pin Function Select bit (RA5/MCLR/VPP pin function is MCLR)
#pragma config BOREN = ON       // Brown-out Reset Enable bit (BOR enabled)
#pragma config LVP = OFF        // Low-Voltage Programming Enable bit (RB3 is digital I/O, HV on MCLR must be used for programming)
#pragma config CPD = OFF        // Data EE Memory Code Protection bit (Code protection off)
#pragma config WRT = OFF        // Flash Program Memory Write Enable bits (Write protection off)
#pragma config CCPMX = RB3      // CCP1 Pin Selection bit (CCP1 function on RB3)
#pragma config CP = OFF         // Flash Program Memory Code Protection bit (Code protection off)

// CONFIG2
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enable bit (Fail-Safe Clock Monitor disabled)
#pragma config IESO = OFF       // Internal External Switchover bit (Internal External Switchover mode disabled)

#define _XTAL_FREQ 8000000      // 8MHz

#define LED1 RA0 // True ON LED
#define LED2 RA6 // False ON LED
#define SWITCH1 RA1 // Pull Down Switch
#define SWITCH2 RA7 // Pull Up Switch
#define VOLUME RA4 // VR1
#define SENSOR RB4 // Photo Sensor
#define M_IN1 RA2 // H-bridge IN1
#define M_IN2 RA3 // H-bridge IN2
#define TR RB3 // Transistor

#include <xc.h>
#include <stdio.h>
#include "uart.h"


void main(void) {
    int flag1=0,flag2=0;
    
    OSCCON = 0b01110000;    // NbN̎g8MHzɐݒ
 
    PORTA = 0x00;           // PORTA
    PORTB = 0x00;           // PORTB
    TRISA = 0b10010010;     // PORTA̓o͐ݒ RA1,7SWITCH, RA4VOLUME
    TRISB = 0b00010100;     // PORTB̓o͐ݒ RB2RX, RB4SENSOR
    ANSEL = 0b00000000;     // ADRo[^
    
    initUART();             // VAʐMݒ
    __delay_ms(100);
        
    while(1){        
        if(SWITCH1==1 && flag1==0){
            LED1=1;
            printf("Pull Down Switch HIGH\n");
            flag1=1;
        }
        if(SWITCH1==0 && flag1==1){
            LED1=0;
            printf("Pull Down Switch LOW\n");
            flag1=0;
        }
        
        if(SWITCH2==1 && flag2==0){
            LED2=1;
            printf("Pull Up Switch HIGH\n");
            flag2=1;
        }
        if(SWITCH2==0 && flag2==1){
            LED2=0;
            printf("Pull Up Switch LOW\n");
            flag2=0;
        }
    }
}
